#!/bin/bash
# chu_assets.sh
# created and copyrighted: Fri 18 Oct 2013 09:43:34 AM EDT
#
# author: Evsiz (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ $# -ne 3 ]; then
	echo "
chu_assets.sh VER START STOP
example: chu_assets.sh 05 46 59"
	exit
fi

# consts
VER=$1
HPLT=/storage/bin/chu_XX.html
TPLT=/storage/bin/chu_XX.txt
DIR=~/pride/RuzheChu$VER/assets

#
# assets dir
START=$2
LIMIT=$3

cd $DIR
rm chu_*
 
for ((a=START; a <= LIMIT ; a++)) 
do
	echo -n "$a "
	cat $HPLT | sed s/XX/$a/g > chu_$a.html
	cat $TPLT > chu_$a.txt
done   
echo

#
# res/raw dir
rm ~/pride/RuzheChu$VER/res/raw/*.wav
cd /storage/coyote/chinese/6_Course_Six/$VER/
cnv-all-mp2wv.sh
mv *.wav ~/pride/RuzheChu$VER/res/raw
echo "
Total Mb this lesson: "
du -sm  ~/pride/RuzheChu$VER/res/raw/

echo
